#ifndef INCLUDED_FASTSTREAM_H
#define INCLUDED_FASTSTREAM_H 1
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include "mpi.h"

typedef struct TextFileData *TextFile;

int TextFileReadOpen(const char filename[], MPI_Comm comm, MPI_Info info,
		     TextFile *fh_p);
int TextFileReadClose(TextFile fh);
int TextFileReadFree(TextFile *fh_p);
int TextFileReadIterate(TextFile fh,
			int (*processline)(const char *, int len, void *),
			void *extra_data);
int TextFileReadPrintStats(TextFile fh, FILE *fp);
int TextFileReadGetStats(TextFile fh, int tsize, double t[],
			 MPI_Offset *bytesRead);
int TextFileReadGetInfo(TextFile fh, char *str, int *len);
int TextFileReadDebug(int);
#endif
